source: trunk/server/fedora/specs/rubygems.spec.patch @ 2378

Last change on this file since 2378 was 2378, checked in by andersk, 10 years ago
Update rubygems to 1.8.25-1.scripts
File size: 869 bytes
  • rubygems.spec

    old new  
    1818Summary:        The Ruby standard for packaging ruby libraries
    1919Name:           rubygems
    2020Version:        1.8.25
    21 Release:        1%{?dist}
     21Release:        1%{?dist}.scripts.%{scriptsversion}
    2222Group:          Development/Libraries
    2323License:        Ruby or MIT
    2424
     
    5252# https://github.com/rubygems/rubygems/issues/210
    5353Patch109:       rubygems-1.8.11-binary-extensions.patch
    5454
     55Provides: scripts-rubygems = %{version}-%{release}
     56Patch1000: rubygems-rails-require-thread.patch
    5557
    5658Requires:       ruby(abi) = 1.9.1
    5759Requires:       rubygem(rdoc) >= 3.9.4
     
    9799%patch105 -p1 -b .uninst
    98100%patch109 -p1 -b .bindir
    99101
     102%patch1000 -p1 -b .thread
     103
    100104# Some of the library files start with #! which rpmlint doesn't like
    101105# and doesn't make much sense
    102106for f in `find lib -name \*.rb` ; do
Note: See TracBrowser for help on using the repository browser.